
@article{copeland1949social,
	title={Social accounting for moneyflows},
	author={Copeland, Morris A},
	journal={The Accounting Review},
	volume={24},
	number={3},
	pages={254--264},
	year={1949},
	publisher={JSTOR}
}

@article{caverzasi2015post,
	title={Post-Keynesian stock-flow-consistent modelling: a survey},
	author={Caverzasi, Eugenio and Godin, Antoine},
	journal={Cambridge Journal of Economics},
	volume={39},
	number={1},
	pages={157--187},
	year={2015},
	publisher={Oxford University Press}
}

@book{andresen1998macroeconomy,
  title={The macroeconomy as a network of money-flow transfer functions},
  author={Andresen, Trond},
  publisher = {},
  year={1998}
}

@article{dos2008simplified,
	title={A simplified, benchmark, stock-flow consistent post-keynesian growth model},
	author={Dos Santos, Claudio H and Zezza, Gennaro},
	journal={Metroeconomica},
	volume={59},
	number={3},
	pages={441--478},
	year={2008},
	publisher={Wiley Online Library}
}

@inproceedings{dafermos2014ecological,
  title={An ecological stock-flow-fund modelling framework},
  author={Dafermos, Yannis and Galanis, Giorgos and Nikolaidi, Maria},
  booktitle={18th FMM Conference},
  year={2014}
}

@article{konar2016originator,
	title={Originator of Macroeconomic Hydraulics},
	author={Konar, Arup Kanti},
	journal={Arthshastra Indian Journal of Economics \& Research},
	volume={5},
	number={1},
	pages={22--30},
	year={2016}
}

@article{dosi2019more,
	title={More is different... and complex! the case for agent-based macroeconomics},
	author={Dosi, Giovanni and Roventini, Andrea},
	journal={Journal of Evolutionary Economics},
	volume={29},
	number={1},
	pages={1--37},
	year={2019},
	publisher={Springer}
}
@article{nikiforos2017stock,
	title={Stock-Flow Consistent macroeconomic models: a survey},
	author={Nikiforos, Michalis and Zezza, Gennaro},
	journal={Journal of Economic Surveys},
	volume={31},
	number={5},
	pages={1204--1239},
	year={2017},
	publisher={Wiley Online Library}
}
@article{brock1998heterogeneous,
  title={Heterogeneous beliefs and routes to chaos in a simple asset pricing model},
  author={Brock, William A and Hommes, Cars H},
  journal={Journal of Economic dynamics and Control},
  volume={22},
  number={8-9},
  pages={1235--1274},
  year={1998},
  publisher={Elsevier}
}

@article{hommes2017booms,
	title={Booms, busts and behavioural heterogeneity in stock prices},
	author={Hommes, Cars and others},
	journal={Journal of Economic Dynamics and Control},
	volume={80},
	pages={101--124},
	year={2017},
	publisher={Elsevier}
}

@article{de2012booms,
	title={Booms and busts in economic activity: A behavioral explanation},
	author={De Grauwe, Paul},
	journal={Journal of Economic Behavior \& Organization},
	volume={83},
	number={3},
	pages={484--501},
	year={2012},
	publisher={Elsevier}
}


@article{lengnick2013agent,
	title={Agent-based macroeconomics: A baseline model},
	author={Lengnick, Matthias},
	journal={Journal of Economic Behavior \& Organization},
	volume={86},
	pages={102--120},
	year={2013},
	publisher={Elsevier}
}

@incollection{lamperti2019climate,
	title={Climate risks, economics and finance: Insights from complex systems},
	author={Lamperti, Francesco and Monasterolo, Irene and Roventini, Andrea},
	booktitle={The systemic turn in human and natural sciences},
	pages={97--119},
	year={2019},
	publisher={Springer}
}

@article{van2015bubbles,
	title={Bubbles, crashes and the financial cycle: Insights from a stock-flow consistent agent-based macroeconomic model},
	author={van der Hoog, Sander and Dawid, Herbert},
	year={2015},
	publisher={Bielefeld Working Papers in Economics and Management}
}

@article{reissl2021heterogeneous,
	title={Heterogeneous expectations, forecasting behaviour and policy experiments in a hybrid Agent-based Stock-flow-consistent model},
	author={Reissl, Severin},
	journal={Journal of Evolutionary Economics},
	volume={31},
	number={1},
	pages={251--299},
	year={2021},
	publisher={Springer}
}
@book{gatti2008emergent,
  title={Emergent Macroeconomics An Agent-Based Approach to Business Fluctuations},
  author={Gatti, Domenico Delli and Gaffeo, Edoardo and Gallegati, Mauro and Giulioni, Gianfranco and Palestrini, Antonio},
  year={2008},
  publisher={Springer}
}

@article{turrell2016agent,
  title={Agent-based models: understanding the economy from the bottom up},
  author={Turrell, Arthur},
  journal={Bank of England Quarterly Bulletin},
  pages={Q4},
  year={2016}
}

@article{gaffeo2008adaptive,
  title={Adaptive microfoundations for emergent macroeconomics},
  author={Gaffeo, Edoardo and Gatti, Domenico Delli and Desiderio, Saul and Gallegati, Mauro},
  journal={Eastern Economic Journal},
  volume={34},
  number={4},
  pages={441--463},
  year={2008},
  publisher={Springer}
}


@article{hactegan2012relevance,
	title={RELEVANCE OF ACCOUNTING INFORMATION TRANSLATED AT THE MACROECONOMIC INDICATORS},
	author={HA{\c{T}}EGAN, Camelia-Daniela and IVAN-UNGUREANU, Clementina and DR{\u{A}}GU{\c{S}}IN, Livia},
	journal={ACCOUNTING AND AUDITING PERSPECTIVES},
	pages={151},
	year={2012}
}

@article{zezza2019design,
	title={On the design of empirical stock--flow consistent models},
	author={Zezza, Gennaro and Zezza, Francesco},
	journal={European Journal of Economics and Economic Policies: Intervention},
	volume={16},
	number={1},
	pages={134--158},
	year={2019},
	publisher={Edward Elgar Publishing Ltd}
}

@article{dawid2018agent,
	title={Agent-based macroeconomics},
	author={Dawid, Herbert and Gatti, Domenico Delli},
	journal={Handbook of computational economics},
	volume={4},
	pages={63--156},
	year={2018},
	publisher={Elsevier}
}

@book{gallegati2017introduction,
  title={Introduction to agent-based economics},
  author={Gallegati, Mauro and Palestrini, Antonio and Russo, Alberto},
  year={2017},
  publisher={Academic Press}
}

@book{tesfatsion2006handbook,
	title={Handbook of computational economics: agent-based computational economics},
	author={Tesfatsion, Leigh and Judd, Kenneth L},
	year={2006},
	publisher={Elsevier}
}

@book{hommes2018computational,
	title={Computational economics: heterogeneous agent modeling},
	author={Hommes, Cars and LeBaron, Blake},
	year={2018},
	publisher={Elsevier}
}

@article{dogra2019understanding,
	title={Understanding HANK: Insights from a PRANK},
	author={Dogra, Sushant Acharya Keshav},
	year={2019}
}


@article{caiani2016agent,
	title={Agent based-stock flow consistent macroeconomics: Towards a benchmark model},
	author={Caiani, Alessandro and Godin, Antoine and Caverzasi, Eugenio and Gallegati, Mauro and Kinsella, Stephen and Stiglitz, Joseph E},
	journal={Journal of Economic Dynamics and Control},
	volume={69},
	pages={375--408},
	year={2016},
	publisher={Elsevier}
}

@article{ashraf2017banks,
	title={Banks, market organization, and macroeconomic performance: an agent-based computational analysis},
	author={Ashraf, Quamrul and Gershman, Boris and Howitt, Peter},
	journal={Journal of Economic Behavior \& Organization},
	volume={135},
	pages={143--180},
	year={2017},
	publisher={Elsevier}
}

@article{hotte2019accelerate,
	title={How to accelerate green technology diffusion? An agent-based approach to directed technological change with coevolving absorptive capacity},
	author={H{\"o}tte, Kerstin},
	year={2019},
	publisher={Bielefeld Working Papers in Economics and Management}
}


@article{rengs2020evolutionary,
	title={Evolutionary macroeconomic assessment of employment and innovation impacts of climate policy packages},
	author={Rengs, Bernhard and Scholz-W{\"a}ckerle, Manuel and van den Bergh, Jeroen},
	journal={Journal of Economic Behavior \& Organization},
	volume={169},
	pages={332--368},
	year={2020},
	publisher={Elsevier}
}

@article{lamperti2020climate,
	title={Climate change and green transitions in an agent-based integrated assessment model},
	author={Lamperti, F and Dosi, G and Napoletano, M and Roventini, A and Sapio, A},
	journal={Technological Forecasting and Social Change},
	volume={153},
	pages={119806},
	year={2020},
	publisher={Elsevier}
}

@article{patt2005agent,
	title={Agent based modeling and adaption to climate change},
	author={Patt, Anthony and Siebenh{\"u}ner, Bernd},
	journal={Vierteljahrshefte zur Wirtschaftsforschung},
	volume={74},
	number={2},
	pages={310--320},
	year={2005},
	publisher={Berlin: Duncker \& Humblot}
}


@article{brida2020innovation,
	title={Innovation networks: an agent-based model},
	author={Brida, Juan Gabriel and Palomeque, Sergio},
	journal={International Journal of Foresight and Innovation Policy},
	volume={14},
	number={2-4},
	pages={198--224},
	year={2020},
	publisher={Inderscience Publishers (IEL)}
}


@techreport{dosi2016schumpeterian,
	title={The" Schumpeterian" and the" Keynesian" Stiglitz: Learning, coordination hurdles and growth trajectories},
	author={Dosi, Giovanni and Virgillito, Maria Enrica},
	year={2016},
	institution={LEM Working Paper Series}
}


@article{salle2018stabilizing,
	title={Stabilizing an unstable complex economy on the limitations of simple rules},
	author={Salle, Isabelle and Seppecher, Pascal},
	journal={Journal of Economic Dynamics and Control},
	volume={91},
	pages={289--317},
	year={2018},
	publisher={Elsevier}
}


@article{arifovic2019learning,
	title={Learning to believe in simple equilibria in a complex OLG economy-evidence from the lab},
	author={Arifovic, Jasmina and Hommes, Cars and Salle, Isabelle},
	journal={Journal of Economic Theory},
	volume={183},
	pages={106--182},
	year={2019},
	publisher={Elsevier}
}

@article{hotte2019skill,
	title={Skill Transferability and the Stability of Transition Pathways-A Learning-Based Explanation for Patterns of Diffusion},
	author={H{\"o}tte, Kerstin},
	year={2019},
	publisher={Bielefeld Working Papers in Economics and Management}
}

@article{botta2019inequality,
	title={Inequality and finance in a rent economy},
	author={Botta, Alberto and Caverzasi, Eugenio and Russo, Alberto and Gallegati, Mauro and Stiglitz, Joseph E},
	journal={Journal of Economic Behavior \& Organization},
	year={2019},
	publisher={Elsevier}
}

@article{botta2018economic,
	title={Economic development, technical change and income distribution: A conversation between Keynesians, Schumpeterians and Structuralists. Introduction to the Special Issue},
	author={Botta, Alberto and Porcile, Gabriel and Ribeiro, Rafael SM},
	journal={PSL Quarterly Review},
	volume={71},
	number={285},
	year={2018},
	publisher={Associazione Economia Civile}
}

@article{pedrosa2018heterogeneity,
	title={Heterogeneity, distribution and financial fragility of non-financial firms: an agent-based stock-flow consistent (AB-SFC) model},
	author={Pedrosa, {\'I}talo and Lang, Dany},
	year={2018}
}

@article{reissl2020heterogeneous,
	title={Heterogeneous expectations, forecasting behaviour and policy experiments in a hybrid Agent-based Stock-flow-consistent model},
	author={Reissl, Severin},
	journal={Journal of Evolutionary Economics},
	pages={1--49},
	year={2020},
	publisher={Springer}
}

@article{reissl2020expectations,
	title={Expectations Formation in Macroeconomic Agent-based Models},
	author={Reissl, Severin},
	year={2020}
}

@article{ravn2016macroeconomic,
	title={Macroeconomic fluctuations with HANK \& SAM: An analytical approach},
	author={Ravn, Morten O and Sterk, Vincent},
	journal={Journal of the European Economic Association},
	year={2016}
}

@article{kaplan2018monetary,
	title={Monetary policy according to HANK},
	author={Kaplan, Greg and Moll, Benjamin and Violante, Giovanni L},
	journal={American Economic Review},
	volume={108},
	number={3},
	pages={697--743},
	year={2018}
}

@article{colander2005economists,
	title={What economists teach and what economists do},
	author={Colander, David},
	journal={The Journal of Economic Education},
	volume={36},
	number={3},
	pages={249--260},
	year={2005},
	publisher={Taylor \& Francis}
}


@article{fagiolo2012macroeconomic,
	title={Macroeconomic policy in DSGE and agent-based models},
	author={Fagiolo, Giorgio and Roventini, Andrea},
	journal={Revue de l'OFCE},
	number={5},
	pages={67--116},
	year={2012},
	publisher={OFCE}
}

@article{zhao2019many,
	title={How many agents are rational in China’s economy? Evidence from a heterogeneous agent-based new Keynesian model},
	author={Zhao, Wei and Lu, Yi and Feng, Genfu},
	journal={Computational Economics},
	volume={54},
	number={2},
	pages={575--611},
	year={2019},
	publisher={Springer}
}

@article{acharya2020optimal,
	title={Optimal Monetary Policy According to HANK},
	author={Acharya, Sushant and Challe, Edouard and Dogra, Keshav},
	year={2020},
	publisher={CEPR Discussion Paper No. DP14429}
}

@article{hafner2020emergence,
	title={Emergence of new economics energy transition models: A review},
	author={Hafner, Sarah and Anger-Kraavi, Annela and Monasterolo, Irene and Jones, Aled},
	journal={Ecological Economics},
	volume={177},
	pages={106779},
	year={2020},
	publisher={Elsevier}
}

@article{monasterolo2016hybrid,
	title={A hybrid system dynamics--agent based model to assess the role of green fiscal and monetary policies},
	author={Monasterolo, Irene and Raberto, Marco},
	journal={Available at SSRN 2748266},
	year={2016}
}

@article{monasterolo2020climate,
	title={Climate change and the financial system},
	author={Monasterolo, Irene},
	journal={Annual Review of Resource Economics},
	volume={12},
	pages={299--320},
	year={2020},
	publisher={Annual Reviews}
}

@article{monasterolo2019uncertainty,
	title={Uncertainty of climate policies and implications for economics and finance: An evolutionary economics approach},
	author={Monasterolo, Irene and Roventini, Andrea and Foxon, Tim J},
	journal={Ecological Economics},
	volume={163},
	pages={177--182},
	year={2019},
	publisher={Elsevier}
}

@article{riccetti2018financial,
	title={Financial regulation and endogenous macroeconomic crises},
	author={Riccetti, Luca and Russo, Alberto and Gallegati, Mauro and others},
	journal={Macroeconomic Dynamics},
	volume={22},
	number={4},
	pages={896--930},
	year={2018},
	publisher={Cambridge University Press}
}

@article{westerhoff2012converse,
	title={Converse trading strategies, intrinsic noise and the stylized facts of financial markets},
	author={Westerhoff, Frank and Franke, Reiner},
	journal={Quantitative Finance},
	volume={12},
	number={3},
	pages={425--436},
	year={2012},
	publisher={Taylor \& Francis}
}

@article{lengnick2016optimal,
	title={Optimal monetary policy in a new Keynesian model with animal spirits and financial markets},
	author={Lengnick, Matthias and Wohltmann, Hans-Werner},
	journal={Journal of Economic Dynamics and Control},
	volume={64},
	pages={148--165},
	year={2016},
	publisher={Elsevier}
}

@incollection{de2012booms2,
	title={Booms and busts: new Keynesian and behavioural explanations},
	author={De Grauwe, Paul},
	booktitle={What’s Right with Macroeconomics?},
	year={2012},
	publisher={Edward Elgar Publishing}
}
